Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Pool

    java.lang.Object
      com.xensource.xenapi.XenAPIObject
          com.xensource.xenapi.Pool

    public class Pool

extends XenAPIObject

Pool-wide information

Nested Class Summary
`static class` | `Pool.Record` Represents all the fields in a Pool

Field Summary
`protected String` | `ref` The XenAPI reference (OpaqueRef) to this object.

Method Summary
`void` | `addTags(Connection c, String value)` Add the given value to the tags field of the given pool.
`void` | `addToGuiConfig(Connection c, String key, String value)` Add the given key-value pair to the gui_config field of the given pool.
`void` | `addToOtherConfig(Connection c, String key, String value)` Add the given key-value pair to the other_config field of the given pool.
`void` | `applyEdition(Connection c, String edition)` Apply an edition to all hosts in the pool
`Task` | `applyEditionAsync(Connection c, String edition)` Apply an edition to all hosts in the pool
`static void` | `certificateInstall(Connection c, String name, String cert)` Install an SSL certificate pool-wide.
`static Task` | `certificateInstallAsync(Connection c, String name, String cert)` Install an SSL certificate pool-wide.
`static Set<String>` | `certificateList(Connection c)` List all installed SSL certificates.
`static Task` | `certificateListAsync(Connection c)` List all installed SSL certificates.
`static void` | `certificateSync(Connection c)` Sync SSL certificates from master to slaves.
`static Task` | `certificateSyncAsync(Connection c)` Sync SSL certificates from master to slaves.
`static void` | `certificateUninstall(Connection c, String name)` Remove an SSL certificate.
`static Task` | `certificateUninstallAsync(Connection c, String name)` Remove an SSL certificate.
`Blob` | `createNewBlob(Connection c, String name, String mimeType, Boolean _public)` Create a placeholder for a named binary blob of data that is associated with this pool
`Task` | `createNewBlobAsync(Connection c, String name, String mimeType, Boolean _public)` Create a placeholder for a named binary blob of data that is associated with this pool
`static Set<PIF>` | `createVLAN(Connection c, String device, Network network, Long VLAN)` Create PIFs, mapping a network to the same physical interface/VLAN on each host.
`static Task` | `createVLANAsync(Connection c, String device, Network network, Long VLAN)` Create PIFs, mapping a network to the same physical interface/VLAN on each host.
`static Set<PIF>` | `createVLANFromPIF(Connection c, PIF pif, Network network, Long VLAN)` Create a pool-wide VLAN by taking the PIF.
`static Task` | `createVLANFromPIFAsync(Connection c, PIF pif, Network network, Long VLAN)` Create a pool-wide VLAN by taking the PIF.
`static void` | `crlInstall(Connection c, String name, String cert)` Install an SSL certificate revocation list, pool-wide.
`static Task` | `crlInstallAsync(Connection c, String name, String cert)` Install an SSL certificate revocation list, pool-wide.
`static Set<String>` | `crlList(Connection c)` List all installed SSL certificate revocation lists.
`static Task` | `crlListAsync(Connection c)` List all installed SSL certificate revocation lists.
`static void` | `crlUninstall(Connection c, String name)` Remove an SSL certificate revocation list.
`static Task` | `crlUninstallAsync(Connection c, String name)` Remove an SSL certificate revocation list.
`static void` | `deconfigureWlb(Connection c)` Permanently deconfigures workload balancing monitoring on this pool
`static Task` | `deconfigureWlbAsync(Connection c)` Permanently deconfigures workload balancing monitoring on this pool
`static void` | `designateNewMaster(Connection c, Host host)` Perform an orderly handover of the role of master to the referenced host.
`static Task` | `designateNewMasterAsync(Connection c, Host host)` Perform an orderly handover of the role of master to the referenced host.
`void` | `detectNonhomogeneousExternalAuth(Connection c)` This call asynchronously detects if the external authentication configuration in any slave is different from that in the master and raises appropriate alerts
`void` | `disableExternalAuth(Connection c, Map<String,String> config)` This call disables external authentication on all the hosts of the pool
`static void` | `disableHa(Connection c)` Turn off High Availability mode
`static Task` | `disableHaAsync(Connection c)` Turn off High Availability mode
`void` | `disableLocalStorageCaching(Connection c)` This call disables pool-wide local storage caching
`Task` | `disableLocalStorageCachingAsync(Connection c)` This call disables pool-wide local storage caching
`static void` | `disableRedoLog(Connection c)` Disable the redo log if in use, unless HA is enabled.
`static Task` | `disableRedoLogAsync(Connection c)` Disable the redo log if in use, unless HA is enabled.
`static void` | `eject(Connection c, Host host)` Instruct a pool master to eject a host from the pool
`static Task` | `ejectAsync(Connection c, Host host)` Instruct a pool master to eject a host from the pool
`static void` | `emergencyResetMaster(Connection c, String masterAddress)` Instruct a slave already in a pool that the master has changed
`static void` | `emergencyTransitionToMaster(Connection c)` Instruct host that's currently a slave to transition to being master
`void` | `enableExternalAuth(Connection c, Map<String,String> config, String serviceName, String authType)` This call enables external authentication on all the hosts of the pool
`static void` | `enableHa(Connection c, Set<SR> heartbeatSrs, Map<String,String> configuration)` Turn on High Availability mode
`static Task` | `enableHaAsync(Connection c, Set<SR> heartbeatSrs, Map<String,String> configuration)` Turn on High Availability mode
`void` | `enableLocalStorageCaching(Connection c)` This call attempts to enable pool-wide local storage caching
`Task` | `enableLocalStorageCachingAsync(Connection c)` This call attempts to enable pool-wide local storage caching
`static void` | `enableRedoLog(Connection c, SR sr)` Enable the redo log on the given SR and start using it, unless HA is enabled.
`static Task` | `enableRedoLogAsync(Connection c, SR sr)` Enable the redo log on the given SR and start using it, unless HA is enabled.
`boolean` | `equals(Object obj)` If obj is a Pool, compares XenAPI references for equality.
`static Set<Pool>` | `getAll(Connection c)` Return a list of all the pools known to the system.
`static Map<Pool,Pool.Record>` | `getAllRecords(Connection c)` Return a map of pool references to pool records for all pools known to the system.
`Map<String,Blob>` | `getBlobs(Connection c)` Get the blobs field of the given pool.
`static Pool` | `getByUuid(Connection c, String uuid)` Get a reference to the pool instance with the specified UUID.
`SR` | `getCrashDumpSR(Connection c)` Get the crash_dump_SR field of the given pool.
`SR` | `getDefaultSR(Connection c)` Get the default_SR field of the given pool.
`Map<String,String>` | `getGuiConfig(Connection c)` Get the gui_config field of the given pool.
`Boolean` | `getHaAllowOvercommit(Connection c)` Get the ha_allow_overcommit field of the given pool.
`Map<String,String>` | `getHaConfiguration(Connection c)` Get the ha_configuration field of the given pool.
`Boolean` | `getHaEnabled(Connection c)` Get the ha_enabled field of the given pool.
`Long` | `getHaHostFailuresToTolerate(Connection c)` Get the ha_host_failures_to_tolerate field of the given pool.
`Boolean` | `getHaOvercommitted(Connection c)` Get the ha_overcommitted field of the given pool.
`Long` | `getHaPlanExistsFor(Connection c)` Get the ha_plan_exists_for field of the given pool.
`Set<String>` | `getHaStatefiles(Connection c)` Get the ha_statefiles field of the given pool.
`Map<String,String>` | `getLicenseState(Connection c)` This call returns the license state for the pool
`Task` | `getLicenseStateAsync(Connection c)` This call returns the license state for the pool
`Host` | `getMaster(Connection c)` Get the master field of the given pool.
`Set<VDI>` | `getMetadataVDIs(Connection c)` Get the metadata_VDIs field of the given pool.
`String` | `getNameDescription(Connection c)` Get the name_description field of the given pool.
`String` | `getNameLabel(Connection c)` Get the name_label field of the given pool.
`Map<String,String>` | `getOtherConfig(Connection c)` Get the other_config field of the given pool.
`Pool.Record` | `getRecord(Connection c)` Get a record containing the current state of the given pool.
`Boolean` | `getRedoLogEnabled(Connection c)` Get the redo_log_enabled field of the given pool.
`VDI` | `getRedoLogVdi(Connection c)` Get the redo_log_vdi field of the given pool.
`Map<String,String>` | `getRestrictions(Connection c)` Get the restrictions field of the given pool.
`SR` | `getSuspendImageSR(Connection c)` Get the suspend_image_SR field of the given pool.
`Set<String>` | `getTags(Connection c)` Get the tags field of the given pool.
`String` | `getUuid(Connection c)` Get the uuid field of the given pool.
`String` | `getVswitchController(Connection c)` Get the vswitch_controller field of the given pool.
`Boolean` | `getWlbEnabled(Connection c)` Get the wlb_enabled field of the given pool.
`String` | `getWlbUrl(Connection c)` Get the wlb_url field of the given pool.
`String` | `getWlbUsername(Connection c)` Get the wlb_username field of the given pool.
`Boolean` | `getWlbVerifyCert(Connection c)` Get the wlb_verify_cert field of the given pool.
`static Long` | `haComputeHypotheticalMaxHostFailuresToTolerate(Connection c, Map<VM,String> configuration)` Returns the maximum number of host failures we could tolerate before we would be unable to restart the provided VMs
`static Long` | `haComputeMaxHostFailuresToTolerate(Connection c)` Returns the maximum number of host failures we could tolerate before we would be unable to restart configured VMs
`static Map<VM,Map<String,String>>` | `haComputeVmFailoverPlan(Connection c, Set<Host> failedHosts, Set<VM> failedVms)` Return a VM failover plan assuming a given subset of hosts fail
`static Boolean` | `haFailoverPlanExists(Connection c, Long n)` Returns true if a VM failover plan exists for up to 'n' host failures
`static void` | `haPreventRestartsFor(Connection c, Long seconds)` When this call returns the VM restart logic will not run for the requested number of seconds.
`int` | `hashCode()`
`static void` | `initializeWlb(Connection c, String wlbUrl, String wlbUsername, String wlbPassword, String xenserverUsername, String xenserverPassword)` Initializes workload balancing monitoring on this pool with the specified wlb server
`static Task` | `initializeWlbAsync(Connection c, String wlbUrl, String wlbUsername, String wlbPassword, String xenserverUsername, String xenserverPassword)` Initializes workload balancing monitoring on this pool with the specified wlb server
`static void` | `join(Connection c, String masterAddress, String masterUsername, String masterPassword)` Instruct host to join a new pool
`static Task` | `joinAsync(Connection c, String masterAddress, String masterUsername, String masterPassword)` Instruct host to join a new pool
`static void` | `joinForce(Connection c, String masterAddress, String masterUsername, String masterPassword)` Instruct host to join a new pool
`static Task` | `joinForceAsync(Connection c, String masterAddress, String masterUsername, String masterPassword)` Instruct host to join a new pool
`static Set<Host>` | `recoverSlaves(Connection c)` Instruct a pool master, M, to try and contact its slaves and, if slaves are in emergency mode, reset their master address to M.
`static Task` | `recoverSlavesAsync(Connection c)` Instruct a pool master, M, to try and contact its slaves and, if slaves are in emergency mode, reset their master address to M.
`void` | `removeFromGuiConfig(Connection c, String key)` Remove the given key and its corresponding value from the gui_config field of the given pool.
`void` | `removeFromOtherConfig(Connection c, String key)` Remove the given key and its corresponding value from the other_config field of the given pool.
`void` | `removeTags(Connection c, String value)` Remove the given value from the tags field of the given pool.
`static Map<String,String>` | `retrieveWlbConfiguration(Connection c)` Retrieves the pool optimization criteria from the workload balancing server
`static Task` | `retrieveWlbConfigurationAsync(Connection c)` Retrieves the pool optimization criteria from the workload balancing server
`static Map<VM,Set<String>>` | `retrieveWlbRecommendations(Connection c)` Retrieves vm migrate recommendations for the pool from the workload balancing server
`static Task` | `retrieveWlbRecommendationsAsync(Connection c)` Retrieves vm migrate recommendations for the pool from the workload balancing server
`static String` | `sendTestPost(Connection c, String host, Long port, String body)` Send the given body to the given host and port, using HTTPS, and print the response.
`static Task` | `sendTestPostAsync(Connection c, String host, Long port, String body)` Send the given body to the given host and port, using HTTPS, and print the response.
`static void` | `sendWlbConfiguration(Connection c, Map<String,String> config)` Sets the pool optimization criteria for the workload balancing server
`static Task` | `sendWlbConfigurationAsync(Connection c, Map<String,String> config)` Sets the pool optimization criteria for the workload balancing server
`void` | `setCrashDumpSR(Connection c, SR crashDumpSR)` Set the crash_dump_SR field of the given pool.
`void` | `setDefaultSR(Connection c, SR defaultSR)` Set the default_SR field of the given pool.
`void` | `setGuiConfig(Connection c, Map<String,String> guiConfig)` Set the gui_config field of the given pool.
`void` | `setHaAllowOvercommit(Connection c, Boolean haAllowOvercommit)` Set the ha_allow_overcommit field of the given pool.
`void` | `setHaHostFailuresToTolerate(Connection c, Long value)` Set the maximum number of host failures to consider in the HA VM restart planner
`Task` | `setHaHostFailuresToTolerateAsync(Connection c, Long value)` Set the maximum number of host failures to consider in the HA VM restart planner
`void` | `setNameDescription(Connection c, String nameDescription)` Set the name_description field of the given pool.
`void` | `setNameLabel(Connection c, String nameLabel)` Set the name_label field of the given pool.
`void` | `setOtherConfig(Connection c, Map<String,String> otherConfig)` Set the other_config field of the given pool.
`void` | `setSuspendImageSR(Connection c, SR suspendImageSR)` Set the suspend_image_SR field of the given pool.
`void` | `setTags(Connection c, Set<String> tags)` Set the tags field of the given pool.
`static void` | `setVswitchController(Connection c, String address)` Set the IP address of the vswitch controller.
`static Task` | `setVswitchControllerAsync(Connection c, String address)` Set the IP address of the vswitch controller.
`void` | `setWlbEnabled(Connection c, Boolean wlbEnabled)` Set the wlb_enabled field of the given pool.
`void` | `setWlbVerifyCert(Connection c, Boolean wlbVerifyCert)` Set the wlb_verify_cert field of the given pool.
`static void` | `syncDatabase(Connection c)` Forcibly synchronise the database now
`static Task` | `syncDatabaseAsync(Connection c)` Forcibly synchronise the database now
`String` | `testArchiveTarget(Connection c, Map<String,String> config)` This call tests if a location is valid
`String` | `toWireString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    protected final String ref

  The XenAPI reference (OpaqueRef) to this object.

Method Detail

### toWireString

    public String toWireString()

  Specified by:
    `toWireString` in class `XenAPIObject`
  Returns:
    The XenAPI reference (OpaqueRef) to this object.

### equals

    public boolean equals(Object obj)

  If obj is a Pool, compares XenAPI references for equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getRecord

    public Pool.Record getRecord(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get a record containing the current state of the given pool.

  Returns:
    all fields from the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getByUuid

    public static Pool getByUuid(Connection c,
                                 String uuid)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get a reference to the pool instance with the specified UUID.

  Parameters:
    `uuid` - UUID of object to return
  Returns:
    reference to the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getUuid

    public String getUuid(Connection c)
                   throws Types.BadServerResponse,
                          Types.XenAPIException,
                          org.apache.xmlrpc.XmlRpcException

  Get the uuid field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getNameLabel

    public String getNameLabel(Connection c)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Get the name_label field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getNameDescription

    public String getNameDescription(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Get the name_description field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getMaster

    public Host getMaster(Connection c)
                   throws Types.BadServerResponse,
                          Types.XenAPIException,
                          org.apache.xmlrpc.XmlRpcException

  Get the master field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getDefaultSR

    public SR getDefaultSR(Connection c)
                    throws Types.BadServerResponse,
                           Types.XenAPIException,
                           org.apache.xmlrpc.XmlRpcException

  Get the default_SR field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getSuspendImageSR

    public SR getSuspendImageSR(Connection c)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Get the suspend_image_SR field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getCrashDumpSR

    public SR getCrashDumpSR(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Get the crash_dump_SR field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getOtherConfig

    public Map<String,String> getOtherConfig(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Get the other_config field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHaEnabled

    public Boolean getHaEnabled(Connection c)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Get the ha_enabled field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHaConfiguration

    public Map<String,String> getHaConfiguration(Connection c)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  Get the ha_configuration field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHaStatefiles

    public Set<String> getHaStatefiles(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get the ha_statefiles field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHaHostFailuresToTolerate

    public Long getHaHostFailuresToTolerate(Connection c)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  Get the ha_host_failures_to_tolerate field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHaPlanExistsFor

    public Long getHaPlanExistsFor(Connection c)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Get the ha_plan_exists_for field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHaAllowOvercommit

    public Boolean getHaAllowOvercommit(Connection c)
                                 throws Types.BadServerResponse,
                                        Types.XenAPIException,
                                        org.apache.xmlrpc.XmlRpcException

  Get the ha_allow_overcommit field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHaOvercommitted

    public Boolean getHaOvercommitted(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Get the ha_overcommitted field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getBlobs

    public Map<String,Blob> getBlobs(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Get the blobs field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getTags

    public Set<String> getTags(Connection c)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Get the tags field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getGuiConfig

    public Map<String,String> getGuiConfig(Connection c)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Get the gui_config field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getWlbUrl

    public String getWlbUrl(Connection c)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Get the wlb_url field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getWlbUsername

    public String getWlbUsername(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get the wlb_username field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getWlbEnabled

    public Boolean getWlbEnabled(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get the wlb_enabled field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getWlbVerifyCert

    public Boolean getWlbVerifyCert(Connection c)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Get the wlb_verify_cert field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getRedoLogEnabled

    public Boolean getRedoLogEnabled(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Get the redo_log_enabled field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getRedoLogVdi

    public VDI getRedoLogVdi(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Get the redo_log_vdi field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getVswitchController

    public String getVswitchController(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get the vswitch_controller field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getRestrictions

    public Map<String,String> getRestrictions(Connection c)
                                       throws Types.BadServerResponse,
                                              Types.XenAPIException,
                                              org.apache.xmlrpc.XmlRpcException

  Get the restrictions field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getMetadataVDIs

    public Set<VDI> getMetadataVDIs(Connection c)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Get the metadata_VDIs field of the given pool.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setNameLabel

    public void setNameLabel(Connection c,
                             String nameLabel)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Set the name_label field of the given pool.

  Parameters:
    `nameLabel` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setNameDescription

    public void setNameDescription(Connection c,
                                   String nameDescription)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Set the name_description field of the given pool.

  Parameters:
    `nameDescription` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setDefaultSR

    public void setDefaultSR(Connection c,
                             SR defaultSR)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Set the default_SR field of the given pool.

  Parameters:
    `defaultSR` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setSuspendImageSR

    public void setSuspendImageSR(Connection c,
                                  SR suspendImageSR)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Set the suspend_image_SR field of the given pool.

  Parameters:
    `suspendImageSR` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setCrashDumpSR

    public void setCrashDumpSR(Connection c,
                               SR crashDumpSR)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Set the crash_dump_SR field of the given pool.

  Parameters:
    `crashDumpSR` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setOtherConfig

    public void setOtherConfig(Connection c,
                               Map<String,String> otherConfig)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Set the other_config field of the given pool.

  Parameters:
    `otherConfig` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToOtherConfig

    public void addToOtherConfig(Connection c,
                                 String key,
                                 String value)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Add the given key-value pair to the other_config field of the given pool.

  Parameters:
    `key` - Key to add
    `value` - Value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromOtherConfig

    public void removeFromOtherConfig(Connection c,
                                      String key)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Remove the given key and its corresponding value from the other_config field of the given pool. If the key is not in that Map, then do nothing.

  Parameters:
    `key` - Key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setHaAllowOvercommit

    public void setHaAllowOvercommit(Connection c,
                                     Boolean haAllowOvercommit)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Set the ha_allow_overcommit field of the given pool.

  Parameters:
    `haAllowOvercommit` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setTags

    public void setTags(Connection c,
                        Set<String> tags)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Set the tags field of the given pool.

  Parameters:
    `tags` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addTags

    public void addTags(Connection c,
                        String value)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Add the given value to the tags field of the given pool. If the value is already in that Set, then do nothing.

  Parameters:
    `value` - New value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeTags

    public void removeTags(Connection c,
                           String value)
                    throws Types.BadServerResponse,
                           Types.XenAPIException,
                           org.apache.xmlrpc.XmlRpcException

  Remove the given value from the tags field of the given pool. If the value is not in that Set, then do nothing.

  Parameters:
    `value` - Value to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setGuiConfig

    public void setGuiConfig(Connection c,
                             Map<String,String> guiConfig)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Set the gui_config field of the given pool.

  Parameters:
    `guiConfig` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToGuiConfig

    public void addToGuiConfig(Connection c,
                               String key,
                               String value)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Add the given key-value pair to the gui_config field of the given pool.

  Parameters:
    `key` - Key to add
    `value` - Value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromGuiConfig

    public void removeFromGuiConfig(Connection c,
                                    String key)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Remove the given key and its corresponding value from the gui_config field of the given pool. If the key is not in that Map, then do nothing.

  Parameters:
    `key` - Key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setWlbEnabled

    public void setWlbEnabled(Connection c,
                              Boolean wlbEnabled)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Set the wlb_enabled field of the given pool.

  Parameters:
    `wlbEnabled` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setWlbVerifyCert

    public void setWlbVerifyCert(Connection c,
                                 Boolean wlbVerifyCert)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Set the wlb_verify_cert field of the given pool.

  Parameters:
    `wlbVerifyCert` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### joinAsync

    public static Task joinAsync(Connection c,
                                 String masterAddress,
                                 String masterUsername,
                                 String masterPassword)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException,
                                 Types.JoiningHostCannotContainSharedSrs

  Instruct host to join a new pool

  Parameters:
    `masterAddress` - The hostname of the master of the pool to join
    `masterUsername` - The username of the master (for initial authentication)
    `masterPassword` - The password for the master (for initial authentication)
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.JoiningHostCannotContainSharedSrs`

### join

    public static void join(Connection c,
                            String masterAddress,
                            String masterUsername,
                            String masterPassword)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException,
                            Types.JoiningHostCannotContainSharedSrs

  Instruct host to join a new pool

  Parameters:
    `masterAddress` - The hostname of the master of the pool to join
    `masterUsername` - The username of the master (for initial authentication)
    `masterPassword` - The password for the master (for initial authentication)
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.JoiningHostCannotContainSharedSrs`

### joinForceAsync

    public static Task joinForceAsync(Connection c,
                                      String masterAddress,
                                      String masterUsername,
                                      String masterPassword)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Instruct host to join a new pool

  Parameters:
    `masterAddress` - The hostname of the master of the pool to join
    `masterUsername` - The username of the master (for initial authentication)
    `masterPassword` - The password for the master (for initial authentication)
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### joinForce

    public static void joinForce(Connection c,
                                 String masterAddress,
                                 String masterUsername,
                                 String masterPassword)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Instruct host to join a new pool

  Parameters:
    `masterAddress` - The hostname of the master of the pool to join
    `masterUsername` - The username of the master (for initial authentication)
    `masterPassword` - The password for the master (for initial authentication)
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### ejectAsync

    public static Task ejectAsync(Connection c,
                                  Host host)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Instruct a pool master to eject a host from the pool

  Parameters:
    `host` - The host to eject
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### eject

    public static void eject(Connection c,
                             Host host)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Instruct a pool master to eject a host from the pool

  Parameters:
    `host` - The host to eject
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### emergencyTransitionToMaster

    public static void emergencyTransitionToMaster(Connection c)
                                            throws Types.BadServerResponse,
                                                   Types.XenAPIException,
                                                   org.apache.xmlrpc.XmlRpcException

  Instruct host that's currently a slave to transition to being master

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### emergencyResetMaster

    public static void emergencyResetMaster(Connection c,
                                            String masterAddress)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  Instruct a slave already in a pool that the master has changed

  Parameters:
    `masterAddress` - The hostname of the master
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### recoverSlavesAsync

    public static Task recoverSlavesAsync(Connection c)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Instruct a pool master, M, to try and contact its slaves and, if slaves are in emergency mode, reset their master address to M.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### recoverSlaves

    public static Set<Host> recoverSlaves(Connection c)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Instruct a pool master, M, to try and contact its slaves and, if slaves are in emergency mode, reset their master address to M.

  Returns:
    list of hosts whose master address were succesfully reset
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### createVLANAsync

    public static Task createVLANAsync(Connection c,
                                       String device,
                                       Network network,
                                       Long VLAN)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException,
                                       Types.VlanTagInvalid

  Create PIFs, mapping a network to the same physical interface/VLAN on each host. This call is deprecated: use Pool.create_VLAN_from_PIF instead.

  Parameters:
    `device` - physical interface on which to create the VLAN interface
    `network` - network to which this interface should be connected
    `VLAN` - VLAN tag for the new interface
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.VlanTagInvalid`

### createVLAN

    public static Set<PIF> createVLAN(Connection c,
                                      String device,
                                      Network network,
                                      Long VLAN)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException,
                                      Types.VlanTagInvalid

  Create PIFs, mapping a network to the same physical interface/VLAN on each host. This call is deprecated: use Pool.create_VLAN_from_PIF instead.

  Parameters:
    `device` - physical interface on which to create the VLAN interface
    `network` - network to which this interface should be connected
    `VLAN` - VLAN tag for the new interface
  Returns:
    The references of the created PIF objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.VlanTagInvalid`

### createVLANFromPIFAsync

    public static Task createVLANFromPIFAsync(Connection c,
                                              PIF pif,
                                              Network network,
                                              Long VLAN)
                                       throws Types.BadServerResponse,
                                              Types.XenAPIException,
                                              org.apache.xmlrpc.XmlRpcException,
                                              Types.VlanTagInvalid

  Create a pool-wide VLAN by taking the PIF.

  Parameters:
    `pif` - physical interface on any particular host, that identifies the PIF on which to create the (pool-wide) VLAN interface
    `network` - network to which this interface should be connected
    `VLAN` - VLAN tag for the new interface
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.VlanTagInvalid`

### createVLANFromPIF

    public static Set<PIF> createVLANFromPIF(Connection c,
                                             PIF pif,
                                             Network network,
                                             Long VLAN)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException,
                                             Types.VlanTagInvalid

  Create a pool-wide VLAN by taking the PIF.

  Parameters:
    `pif` - physical interface on any particular host, that identifies the PIF on which to create the (pool-wide) VLAN interface
    `network` - network to which this interface should be connected
    `VLAN` - VLAN tag for the new interface
  Returns:
    The references of the created PIF objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.VlanTagInvalid`

### enableHaAsync

    public static Task enableHaAsync(Connection c,
                                     Set<SR> heartbeatSrs,
                                     Map<String,String> configuration)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Turn on High Availability mode

  Parameters:
    `heartbeatSrs` - Set of SRs to use for storage heartbeating.
    `configuration` - Detailed HA configuration to apply
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### enableHa

    public static void enableHa(Connection c,
                                Set<SR> heartbeatSrs,
                                Map<String,String> configuration)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Turn on High Availability mode

  Parameters:
    `heartbeatSrs` - Set of SRs to use for storage heartbeating.
    `configuration` - Detailed HA configuration to apply
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disableHaAsync

    public static Task disableHaAsync(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Turn off High Availability mode

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disableHa

    public static void disableHa(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Turn off High Availability mode

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### syncDatabaseAsync

    public static Task syncDatabaseAsync(Connection c)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Forcibly synchronise the database now

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### syncDatabase

    public static void syncDatabase(Connection c)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Forcibly synchronise the database now

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### designateNewMasterAsync

    public static Task designateNewMasterAsync(Connection c,
                                               Host host)
                                        throws Types.BadServerResponse,
                                               Types.XenAPIException,
                                               org.apache.xmlrpc.XmlRpcException

  Perform an orderly handover of the role of master to the referenced host.

  Parameters:
    `host` - The host who should become the new master
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### designateNewMaster

    public static void designateNewMaster(Connection c,
                                          Host host)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Perform an orderly handover of the role of master to the referenced host.

  Parameters:
    `host` - The host who should become the new master
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### haPreventRestartsFor

    public static void haPreventRestartsFor(Connection c,
                                            Long seconds)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  When this call returns the VM restart logic will not run for the requested number of seconds. If the argument is zero then the restart thread is immediately unblocked

  Parameters:
    `seconds` - The number of seconds to block the restart thread for
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### haFailoverPlanExists

    public static Boolean haFailoverPlanExists(Connection c,
                                               Long n)
                                        throws Types.BadServerResponse,
                                               Types.XenAPIException,
                                               org.apache.xmlrpc.XmlRpcException

  Returns true if a VM failover plan exists for up to 'n' host failures

  Parameters:
    `n` - The number of host failures to plan for
  Returns:
    true if a failover plan exists for the supplied number of host failures
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### haComputeMaxHostFailuresToTolerate

    public static Long haComputeMaxHostFailuresToTolerate(Connection c)
                                                   throws Types.BadServerResponse,
                                                          Types.XenAPIException,
                                                          org.apache.xmlrpc.XmlRpcException

  Returns the maximum number of host failures we could tolerate before we would be unable to restart configured VMs

  Returns:
    maximum value for ha_host_failures_to_tolerate given current configuration
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### haComputeHypotheticalMaxHostFailuresToTolerate

    public static Long haComputeHypotheticalMaxHostFailuresToTolerate(Connection c,
                                                                      Map<VM,String> configuration)
                                                               throws Types.BadServerResponse,
                                                                      Types.XenAPIException,
                                                                      org.apache.xmlrpc.XmlRpcException

  Returns the maximum number of host failures we could tolerate before we would be unable to restart the provided VMs

  Parameters:
    `configuration` - Map of protected VM reference to restart priority
  Returns:
    maximum value for ha_host_failures_to_tolerate given provided configuration
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### haComputeVmFailoverPlan

    public static Map<VM,Map<String,String>> haComputeVmFailoverPlan(Connection c,
                                                                     Set<Host> failedHosts,
                                                                     Set<VM> failedVms)
                                                              throws Types.BadServerResponse,
                                                                     Types.XenAPIException,
                                                                     org.apache.xmlrpc.XmlRpcException

  Return a VM failover plan assuming a given subset of hosts fail

  Parameters:
    `failedHosts` - The set of hosts to assume have failed
    `failedVms` - The set of VMs to restart
  Returns:
    VM failover plan: a map of VM to host to restart the host on
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setHaHostFailuresToTolerateAsync

    public Task setHaHostFailuresToTolerateAsync(Connection c,
                                                 Long value)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  Set the maximum number of host failures to consider in the HA VM restart planner

  Parameters:
    `value` - New number of host failures to consider
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setHaHostFailuresToTolerate

    public void setHaHostFailuresToTolerate(Connection c,
                                            Long value)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  Set the maximum number of host failures to consider in the HA VM restart planner

  Parameters:
    `value` - New number of host failures to consider
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### createNewBlobAsync

    public Task createNewBlobAsync(Connection c,
                                   String name,
                                   String mimeType,
                                   Boolean _public)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Create a placeholder for a named binary blob of data that is associated with this pool

  Parameters:
    `name` - The name associated with the blob
    `mimeType` - The mime type for the data. Empty string translates to application/octet-stream
    `_public` - True if the blob should be publicly available
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### createNewBlob

    public Blob createNewBlob(Connection c,
                              String name,
                              String mimeType,
                              Boolean _public)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Create a placeholder for a named binary blob of data that is associated with this pool

  Parameters:
    `name` - The name associated with the blob
    `mimeType` - The mime type for the data. Empty string translates to application/octet-stream
    `_public` - True if the blob should be publicly available
  Returns:
    The reference of the blob, needed for populating its data
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### enableExternalAuth

    public void enableExternalAuth(Connection c,
                                   Map<String,String> config,
                                   String serviceName,
                                   String authType)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  This call enables external authentication on all the hosts of the pool

  Parameters:
    `config` - A list of key-values containing the configuration data
    `serviceName` - The name of the service
    `authType` - The type of authentication (e.g. AD for Active Directory)
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disableExternalAuth

    public void disableExternalAuth(Connection c,
                                    Map<String,String> config)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  This call disables external authentication on all the hosts of the pool

  Parameters:
    `config` - Optional parameters as a list of key-values containing the configuration data
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### detectNonhomogeneousExternalAuth

    public void detectNonhomogeneousExternalAuth(Connection c)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  This call asynchronously detects if the external authentication configuration in any slave is different from that in the master and raises appropriate alerts

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### initializeWlbAsync

    public static Task initializeWlbAsync(Connection c,
                                          String wlbUrl,
                                          String wlbUsername,
                                          String wlbPassword,
                                          String xenserverUsername,
                                          String xenserverPassword)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Initializes workload balancing monitoring on this pool with the specified wlb server

  Parameters:
    `wlbUrl` - The ip address and port to use when accessing the wlb server
    `wlbUsername` - The username used to authenticate with the wlb server
    `wlbPassword` - The password used to authenticate with the wlb server
    `xenserverUsername` - The usernamed used by the wlb server to authenticate with the xenserver
    `xenserverPassword` - The password used by the wlb server to authenticate with the xenserver
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### initializeWlb

    public static void initializeWlb(Connection c,
                                     String wlbUrl,
                                     String wlbUsername,
                                     String wlbPassword,
                                     String xenserverUsername,
                                     String xenserverPassword)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Initializes workload balancing monitoring on this pool with the specified wlb server

  Parameters:
    `wlbUrl` - The ip address and port to use when accessing the wlb server
    `wlbUsername` - The username used to authenticate with the wlb server
    `wlbPassword` - The password used to authenticate with the wlb server
    `xenserverUsername` - The usernamed used by the wlb server to authenticate with the xenserver
    `xenserverPassword` - The password used by the wlb server to authenticate with the xenserver
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### deconfigureWlbAsync

    public static Task deconfigureWlbAsync(Connection c)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Permanently deconfigures workload balancing monitoring on this pool

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### deconfigureWlb

    public static void deconfigureWlb(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Permanently deconfigures workload balancing monitoring on this pool

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### sendWlbConfigurationAsync

    public static Task sendWlbConfigurationAsync(Connection c,
                                                 Map<String,String> config)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  Sets the pool optimization criteria for the workload balancing server

  Parameters:
    `config` - The configuration to use in optimizing this pool
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### sendWlbConfiguration

    public static void sendWlbConfiguration(Connection c,
                                            Map<String,String> config)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  Sets the pool optimization criteria for the workload balancing server

  Parameters:
    `config` - The configuration to use in optimizing this pool
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### retrieveWlbConfigurationAsync

    public static Task retrieveWlbConfigurationAsync(Connection c)
                                              throws Types.BadServerResponse,
                                                     Types.XenAPIException,
                                                     org.apache.xmlrpc.XmlRpcException

  Retrieves the pool optimization criteria from the workload balancing server

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### retrieveWlbConfiguration

    public static Map<String,String> retrieveWlbConfiguration(Connection c)
                                                       throws Types.BadServerResponse,
                                                              Types.XenAPIException,
                                                              org.apache.xmlrpc.XmlRpcException

  Retrieves the pool optimization criteria from the workload balancing server

  Returns:
    The configuration used in optimizing this pool
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### retrieveWlbRecommendationsAsync

    public static Task retrieveWlbRecommendationsAsync(Connection c)
                                                throws Types.BadServerResponse,
                                                       Types.XenAPIException,
                                                       org.apache.xmlrpc.XmlRpcException

  Retrieves vm migrate recommendations for the pool from the workload balancing server

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### retrieveWlbRecommendations

    public static Map<VM,Set<String>> retrieveWlbRecommendations(Connection c)
                                                          throws Types.BadServerResponse,
                                                                 Types.XenAPIException,
                                                                 org.apache.xmlrpc.XmlRpcException

  Retrieves vm migrate recommendations for the pool from the workload balancing server

  Returns:
    The list of vm migration recommendations
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### sendTestPostAsync

    public static Task sendTestPostAsync(Connection c,
                                         String host,
                                         Long port,
                                         String body)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Send the given body to the given host and port, using HTTPS, and print the response. This is used for debugging the SSL layer.

  Parameters:
    `host` -
    `port` -
    `body` -
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### sendTestPost

    public static String sendTestPost(Connection c,
                                      String host,
                                      Long port,
                                      String body)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Send the given body to the given host and port, using HTTPS, and print the response. This is used for debugging the SSL layer.

  Parameters:
    `host` -
    `port` -
    `body` -
  Returns:
    The response
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### certificateInstallAsync

    public static Task certificateInstallAsync(Connection c,
                                               String name,
                                               String cert)
                                        throws Types.BadServerResponse,
                                               Types.XenAPIException,
                                               org.apache.xmlrpc.XmlRpcException

  Install an SSL certificate pool-wide.

  Parameters:
    `name` - A name to give the certificate
    `cert` - The certificate
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### certificateInstall

    public static void certificateInstall(Connection c,
                                          String name,
                                          String cert)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Install an SSL certificate pool-wide.

  Parameters:
    `name` - A name to give the certificate
    `cert` - The certificate
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### certificateUninstallAsync

    public static Task certificateUninstallAsync(Connection c,
                                                 String name)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  Remove an SSL certificate.

  Parameters:
    `name` - The certificate name
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### certificateUninstall

    public static void certificateUninstall(Connection c,
                                            String name)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  Remove an SSL certificate.

  Parameters:
    `name` - The certificate name
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### certificateListAsync

    public static Task certificateListAsync(Connection c)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  List all installed SSL certificates.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### certificateList

    public static Set<String> certificateList(Connection c)
                                       throws Types.BadServerResponse,
                                              Types.XenAPIException,
                                              org.apache.xmlrpc.XmlRpcException

  List all installed SSL certificates.

  Returns:
    All installed certificates
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### crlInstallAsync

    public static Task crlInstallAsync(Connection c,
                                       String name,
                                       String cert)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Install an SSL certificate revocation list, pool-wide.

  Parameters:
    `name` - A name to give the CRL
    `cert` - The CRL
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### crlInstall

    public static void crlInstall(Connection c,
                                  String name,
                                  String cert)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Install an SSL certificate revocation list, pool-wide.

  Parameters:
    `name` - A name to give the CRL
    `cert` - The CRL
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### crlUninstallAsync

    public static Task crlUninstallAsync(Connection c,
                                         String name)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Remove an SSL certificate revocation list.

  Parameters:
    `name` - The CRL name
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### crlUninstall

    public static void crlUninstall(Connection c,
                                    String name)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Remove an SSL certificate revocation list.

  Parameters:
    `name` - The CRL name
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### crlListAsync

    public static Task crlListAsync(Connection c)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  List all installed SSL certificate revocation lists.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### crlList

    public static Set<String> crlList(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  List all installed SSL certificate revocation lists.

  Returns:
    All installed CRLs
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### certificateSyncAsync

    public static Task certificateSyncAsync(Connection c)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  Sync SSL certificates from master to slaves.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### certificateSync

    public static void certificateSync(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Sync SSL certificates from master to slaves.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### enableRedoLogAsync

    public static Task enableRedoLogAsync(Connection c,
                                          SR sr)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Enable the redo log on the given SR and start using it, unless HA is enabled.

  Parameters:
    `sr` - SR to hold the redo log.
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### enableRedoLog

    public static void enableRedoLog(Connection c,
                                     SR sr)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Enable the redo log on the given SR and start using it, unless HA is enabled.

  Parameters:
    `sr` - SR to hold the redo log.
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disableRedoLogAsync

    public static Task disableRedoLogAsync(Connection c)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Disable the redo log if in use, unless HA is enabled.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disableRedoLog

    public static void disableRedoLog(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Disable the redo log if in use, unless HA is enabled.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setVswitchControllerAsync

    public static Task setVswitchControllerAsync(Connection c,
                                                 String address)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  Set the IP address of the vswitch controller.

  Parameters:
    `address` - IP address of the vswitch controller.
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setVswitchController

    public static void setVswitchController(Connection c,
                                            String address)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  Set the IP address of the vswitch controller.

  Parameters:
    `address` - IP address of the vswitch controller.
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### testArchiveTarget

    public String testArchiveTarget(Connection c,
                                    Map<String,String> config)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  This call tests if a location is valid

  Parameters:
    `config` - Location config settings to test
  Returns:
    An XMLRPC result
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### enableLocalStorageCachingAsync

    public Task enableLocalStorageCachingAsync(Connection c)
                                        throws Types.BadServerResponse,
                                               Types.XenAPIException,
                                               org.apache.xmlrpc.XmlRpcException

  This call attempts to enable pool-wide local storage caching

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### enableLocalStorageCaching

    public void enableLocalStorageCaching(Connection c)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  This call attempts to enable pool-wide local storage caching

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disableLocalStorageCachingAsync

    public Task disableLocalStorageCachingAsync(Connection c)
                                         throws Types.BadServerResponse,
                                                Types.XenAPIException,
                                                org.apache.xmlrpc.XmlRpcException

  This call disables pool-wide local storage caching

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disableLocalStorageCaching

    public void disableLocalStorageCaching(Connection c)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  This call disables pool-wide local storage caching

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLicenseStateAsync

    public Task getLicenseStateAsync(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  This call returns the license state for the pool

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLicenseState

    public Map<String,String> getLicenseState(Connection c)
                                       throws Types.BadServerResponse,
                                              Types.XenAPIException,
                                              org.apache.xmlrpc.XmlRpcException

  This call returns the license state for the pool

  Returns:
    The pool's license state
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### applyEditionAsync

    public Task applyEditionAsync(Connection c,
                                  String edition)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Apply an edition to all hosts in the pool

  Parameters:
    `edition` - The requested edition
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### applyEdition

    public void applyEdition(Connection c,
                             String edition)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Apply an edition to all hosts in the pool

  Parameters:
    `edition` - The requested edition
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAll

    public static Set<Pool> getAll(Connection c)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Return a list of all the pools known to the system.

  Returns:
    references to all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAllRecords

    public static Map<Pool,Pool.Record> getAllRecords(Connection c)
                                               throws Types.BadServerResponse,
                                                      Types.XenAPIException,
                                                      org.apache.xmlrpc.XmlRpcException

  Return a map of pool references to pool records for all pools known to the system.

  Returns:
    records of all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD